System Templates

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • systemType

  • systemType_count

  • systemTypeExists

  • company

  • company_count

  • companyExists

  • publicCompany

  • publicCompany_count

  • publicCompanyExists

  • marketplaceCompany

  • marketplaceCompany_count

  • marketplaceCompanyExists

  • logo

  • logo_count

  • logoExists

  • authenticationImplementationTemplates

  • authenticationImplementationTemplates_count

  • authenticationImplementationTemplatesExists

  • authenticationImplementationTemplates.variableTemplates

  • authenticationImplementationTemplates.authenticationType

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • hidden_from_marketplace

  • visible_for_marketplace

  • system_type_id

  • id

  • private

  • platformApp

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

  • created_at

Authorizations
Query parameters
filter[name]stringOptional

Filter results by name.

filter[hidden_from_marketplace]stringOptional

Filter results by hidden_from_marketplace.

filter[visible_for_marketplace]stringOptional

Filter results by visible_for_marketplace.

filter[system_type_id]stringOptional

Filter results by system_type_id.

filter[id]stringOptional

Filter results by id.

filter[private]stringOptional

Filter results by private.

filter[visibility]stringOptional

Filter results by visibility.

filter[platformApp]stringOptional

Filter results by platformApp.

filter[forPlatformApp]stringOptional

Filter results by forPlatformApp.

includestringOptional

Comma-separated list of relationships to include. Available: systemType, company, publicCompany, marketplaceCompany, logo, authenticationImplementationTemplates.variableTemplates, authenticationImplementationTemplates.authenticationType

sortstringOptional

Sort field. Prefix with - for descending. Available: name, created_at

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/patchworks/system-templates

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

label

string

colour

string

logo_url

string

version

integer

version_name

string

rate_limit_unit

string

rate_limit_duration

integer

system_type_id

protocol

string

company_id

date_format

string

help_link

string

Authorizations
Body
labelstringRequired
colourstring · enumRequiredPossible values:
logo_urlstring · uriRequired
versionintegerRequired
version_namestringRequired
rate_limit_unitstring · enumRequiredPossible values:
rate_limit_durationintegerRequired
system_type_idstringRequired
protocolstring · enumRequiredPossible values:
company_idstringRequired
date_formatstringRequired
help_linkstring · nullableOptional
namestringRequired
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/patchworks/system-templates

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

label

string

colour

string

logo_url

string

version

integer

version_name

string

rate_limit_unit

string

rate_limit_duration

integer

system_type_id

protocol

string

company_id

date_format

string

help_link

string

Authorizations
Path parameters
system_templatestringRequired

The system template identifier.

Body
labelstringOptional
colourstring · enumOptionalPossible values:
logo_urlstring · uriOptional
versionintegerOptional
version_namestringOptional
rate_limit_unitstring · enumOptionalPossible values:
rate_limit_durationintegerOptional
system_type_idstringOptional
protocolstring · enumOptionalPossible values:
company_idstringOptional
date_formatstringOptional
help_linkstring · nullableOptional
namestringOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/patchworks/system-templates/{system_template}

Destroy

delete

Delete a system template.

Authorizations
Path parameters
system_templatestringRequired

The system template identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/patchworks/system-templates/{system_template}

Install

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

overwrite

system_id

integer

platform_app_key

string

Authorizations
Path parameters
systemTemplatestringRequired

The systemTemplate identifier.

Body
overwritestringOptional
system_idintegerOptional
platform_app_keystringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/system-templates/{systemTemplate}

Last updated

Was this helpful?